/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL_HARM                       1
#define  PANEL_HARM_waveform_name         2       /* control type: string, callback function: (none) */
#define  PANEL_HARM_even_harm_10          3       /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_11          4       /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_12          5       /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_CANVAS                6       /* control type: canvas, callback function: (none) */
#define  PANEL_HARM_even_harm_13          7       /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_14          8       /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_15          9       /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_16          10      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_17          11      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_18          12      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_24          13      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_23          14      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_22          15      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_21          16      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_20          17      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_19          18      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_5           19      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_6           20      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_7           21      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_8           22      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_9           23      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_4           24      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_3           25      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_2           26      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_1           27      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_even_harm_0           28      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_10           29      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_Waveform_box          30      /* control type: listBox, callback function: waveform_list */
#define  PANEL_HARM_odd_harm_11           31      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_12           32      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_13           33      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_14           34      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_15           35      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_16           36      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_17           37      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_18           38      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_24           39      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_23           40      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_22           41      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_21           42      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_20           43      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_19           44      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_5            45      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_6            46      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_7            47      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_8            48      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_9            49      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_4            50      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_3            51      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_2            52      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_1            53      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_odd_harm_0            54      /* control type: numeric, callback function: harmonic_preview */
#define  PANEL_HARM_GRAPH                 55      /* control type: graph, callback function: (none) */
#define  PANEL_HARM_ACQUIREW              56      /* control type: command, callback function: harmonic_preview */
#define  PANEL_HARM_CLEAR                 57      /* control type: command, callback function: harmonic_clear */
#define  PANEL_HARM_DELETE                58      /* control type: command, callback function: harmonic_delete */
#define  PANEL_HARM_DELETEWAVE            59      /* control type: command, callback function: deleteWave */
#define  PANEL_HARM_DOWNLOAD              60      /* control type: command, callback function: harmonic_download */
#define  PANEL_HARM_closebutton           61      /* control type: command, callback function: close_harm */
#define  PANEL_HARM_TEXTMSG_2             62      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_3             63      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_4             64      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_6             65      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_7             66      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_15                    67      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_9             68      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_10            69      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_13            70      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_15            71      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_16            72      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_17            73      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_18            74      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_19            75      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_20            76      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_27            77      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_28            78      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_29            79      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_35            80      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_30            81      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_31            82      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_32            83      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_33            84      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_34            85      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_36            86      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_37            87      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_38            88      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_39            89      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_10                    90      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_41            91      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_15_2                  92      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_42            93      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_43            94      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_44            95      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_45            96      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_46            97      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_47            98      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_48            99      /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_49            100     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_50            101     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_51            102     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_52            103     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_53            104     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_54            105     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_55            106     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_56            107     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_57            108     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_58            109     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_59            110     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_DECORATION            111     /* control type: deco, callback function: (none) */
#define  PANEL_HARM_TEXTMSG               112     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_steady_message        113     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_DECORATION_2          114     /* control type: deco, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_5             115     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_DECORATION_3          116     /* control type: deco, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_8             117     /* control type: textMsg, callback function: (none) */
#define  PANEL_HARM_DECORATION_4          118     /* control type: deco, callback function: (none) */
#define  PANEL_HARM_TEXTMSG_11            119     /* control type: textMsg, callback function: (none) */

#define  PANEL_MEAS                       2
#define  PANEL_MEAS_C_Check               2       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_B_Check               3       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_PFactor_Check         4       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_Crest_Fact_Check      5       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_Peak_Curr_Check       6       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_App_Pow_Check         7       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_CANVAS                8       /* control type: canvas, callback function: (none) */
#define  PANEL_MEAS_Power_Check           9       /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_Phase_Check           10      /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_Current_Check         11      /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_Volt_Check            12      /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_A_Check               13      /* control type: radioButton, callback function: (none) */
#define  PANEL_MEAS_A_Pfactor             14      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_volt                15      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_volt                16      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_current             17      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_crest_fact          18      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_peak_curr           19      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_phase               20      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_power               21      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_app_pow             22      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_C_Pfactor             23      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_crest_fact          24      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_peak_curr           25      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_current             26      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_crest_fact          27      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_peak_curr           28      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_Pfactor             29      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_app_pow             30      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_power               31      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_B_phase               32      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_app_pow             33      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_power               34      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_phase               35      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_current             36      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_A_volt                37      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_Frequency             38      /* control type: numeric, callback function: (none) */
#define  PANEL_MEAS_meas_button           39      /* control type: command, callback function: measure */
#define  PANEL_MEAS_close                 40      /* control type: command, callback function: close_meas */
#define  PANEL_MEAS_DECORATION            41      /* control type: deco, callback function: (none) */
#define  PANEL_MEAS_TEXTMSG_2             42      /* control type: textMsg, callback function: (none) */
#define  PANEL_MEAS_TEXTMSG               43      /* control type: textMsg, callback function: (none) */

#define  PANEL_ST                         3       /* callback function: Steady_panel */
#define  PANEL_ST_modeswitch              2       /* control type: binary, callback function: Mode_control */
#define  PANEL_ST_outputswitch            3       /* control type: binary, callback function: Output_relay */
#define  PANEL_ST_frequencyslide          4       /* control type: scale, callback function: frequency_control */
#define  PANEL_ST_phaseslide              5       /* control type: scale, callback function: phase_control */
#define  PANEL_ST_currentslide            6       /* control type: scale, callback function: current_control */
#define  PANEL_ST_CANVAS                  7       /* control type: canvas, callback function: (none) */
#define  PANEL_ST_voltageslide            8       /* control type: scale, callback function: voltage_control */
#define  PANEL_ST_C_check                 9       /* control type: radioButton, callback function: (none) */
#define  PANEL_ST_B_check                 10      /* control type: radioButton, callback function: (none) */
#define  PANEL_ST_A_check                 11      /* control type: radioButton, callback function: (none) */
#define  PANEL_ST_THD                     12      /* control type: numeric, callback function: waveform_control */
#define  PANEL_ST_A_phase                 13      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_register_command        14      /* control type: command, callback function: register_control */
#define  PANEL_ST_C_current               15      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_register_number         16      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_C_phase                 17      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_B_phase                 18      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_B_current               19      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_C_volt                  20      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_register_slide          21      /* control type: slide, callback function: (none) */
#define  PANEL_ST_A_current               22      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_B_volt                  23      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_A_volt                  24      /* control type: numeric, callback function: (none) */
#define  PANEL_ST_Waveform_box            25      /* control type: listBox, callback function: waveform_control */
#define  PANEL_ST_closebutton             26      /* control type: command, callback function: close */
#define  PANEL_ST_rangeswitch2            27      /* control type: ring, callback function: range_control2 */
#define  PANEL_ST_rangeswitch1            28      /* control type: ring, callback function: range_control1 */
#define  PANEL_ST_TEXTMSG                 29      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_TEXTMSG_3               30      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_TEXTMSG_2               31      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_TEXTMSG_4               32      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_Clip_Level              33      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_report_message          34      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_DECORATION              35      /* control type: deco, callback function: (none) */
#define  PANEL_ST_DECORATION_2            36      /* control type: deco, callback function: (none) */
#define  PANEL_ST_interface_message       37      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_D                       38      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_DECORATION_3            39      /* control type: deco, callback function: (none) */
#define  PANEL_ST_DECORATION_4            40      /* control type: deco, callback function: (none) */
#define  PANEL_ST_DECORATION_5            41      /* control type: deco, callback function: (none) */
#define  PANEL_ST_DECORATION_6            42      /* control type: deco, callback function: (none) */
#define  PANEL_ST_DECORATION_8            43      /* control type: deco, callback function: (none) */
#define  PANEL_ST_TEXTMSG_6               44      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_TEXTMSG_8               45      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_TEXTMSG_10              46      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_DECORATION_9            47      /* control type: deco, callback function: (none) */
#define  PANEL_ST_TEXTMSG_11              48      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_TEXTMSG_12              49      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_steady_message          50      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_DECORATION_10           51      /* control type: deco, callback function: (none) */
#define  PANEL_ST_TEXTMSG_14              52      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_DECORATION_12           53      /* control type: deco, callback function: (none) */
#define  PANEL_ST_TEXTMSG_15              54      /* control type: textMsg, callback function: (none) */
#define  PANEL_ST_SOURCEALC               55      /* control type: ring, callback function: sourceALC */

#define  PANEL_STAR                       4
#define  PANEL_STAR_VERIFYCONNECTION      2       /* control type: command, callback function: verifyConnection */
#define  PANEL_STAR_quitbutton            3       /* control type: command, callback function: quit */
#define  PANEL_STAR_LAN                   4       /* control type: radioButton, callback function: lanSelect */
#define  PANEL_STAR_GPIB                  5       /* control type: radioButton, callback function: gpib */
#define  PANEL_STAR_COM4                  6       /* control type: radioButton, callback function: comm4 */
#define  PANEL_STAR_COM2                  7       /* control type: radioButton, callback function: comm2 */
#define  PANEL_STAR_COM3                  8       /* control type: radioButton, callback function: comm3 */
#define  PANEL_STAR_COM1                  9       /* control type: radioButton, callback function: comm1 */
#define  PANEL_STAR_RS232                 10      /* control type: radioButton, callback function: rs232 */
#define  PANEL_STAR_GPIBADDRESS           11      /* control type: ring, callback function: (none) */
#define  PANEL_STAR_BAUDS                 12      /* control type: ring, callback function: (none) */
#define  PANEL_STAR_CANVAS                13      /* control type: canvas, callback function: (none) */
#define  PANEL_STAR_DECORATION_2          14      /* control type: deco, callback function: (none) */
#define  PANEL_STAR_DECORATION_3          15      /* control type: deco, callback function: (none) */
#define  PANEL_STAR_TEXTMSG_2             16      /* control type: textMsg, callback function: (none) */
#define  PANEL_STAR_RS232SETTING          17      /* control type: textMsg, callback function: (none) */
#define  PANEL_STAR_LANSETTING            18      /* control type: textMsg, callback function: (none) */
#define  PANEL_STAR_IEEESETTING           19      /* control type: textMsg, callback function: (none) */
#define  PANEL_STAR_IPADDRESS             20      /* control type: string, callback function: (none) */
#define  PANEL_STAR_IPPORT                21      /* control type: string, callback function: (none) */


     /* Menu Bars, Menus, and Menu Items: */

#define  Measure                          1
#define  Measure_mnuBar                   2
#define  Measure_mnuBar_MEASURE           3       /* callback function: Measure_panel */
#define  Measure_mnuBar_HARMONIC          4       /* callback function: Harmonic_panel */


     /* Callback Prototypes: */

int  CVICALLBACK close(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK close_harm(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK close_meas(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK comm1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK comm2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK comm3(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK comm4(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK current_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK deleteWave(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK frequency_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK gpib(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK harmonic_clear(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK harmonic_delete(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK harmonic_download(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK Harmonic_panel(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK harmonic_preview(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK lanSelect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK measure(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK Measure_panel(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK Mode_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Output_relay(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK phase_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK range_control1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK range_control2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK register_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK rs232(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sourceALC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Steady_panel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK verifyConnection(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK voltage_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK waveform_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK waveform_list(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
